<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cadastro de Cliente</title>
    <script>
        async function enviar() {
            const form = new FormData(document.getElementById("cliente-form"));
            console.log(form);
            await fetch('http://localhost:3000/clientes',
            {
                method: "post",
                body: form,
                mode: 'no-cors',
            }
            ).then(response => response.json())
                .then(data => {
                    document.getElementById('api-response').innerText = 'Resposta da API: ' + data.message;
                })
            .catch(error => console.error(error));
        }
    </script>
</head>

<body>
    <h1>Cadastrado de Cliente:</h1>
    <div id="api-response"></div>
    <form id="cliente-form" action="clienteForm.html" onsubmit="enviar()">
        <div>
            <label>Nome:</label>
            <input id="nome" name="nome" type="text" />
        </div>
        <div>
            <label>Email:</label>
            <input id="email" name="email" type="email" />
        </div>
        <div>
            <label>Senha:</label>
            <input id="senha" name="senha" type="password" />
        </div>
        <div>
            <input type="submit" value="Enviar" />
        </div>
    </form>
</body>

</html>